#include <iostream>

using namespace std;

int main (){
int b,c;

cin>> b;
cin>> c;

if ((b<0 || b>500) || (c<0 || c>500)) {
    cout<<"Nije moguce da na jednoj kvalifikaciji ima manje od 0 i vise od 500"
    return 0;
}

if (b+c >= 256) {
    cout<< "0";
    return 0;
}

if (b==0 && c==0) {
    cout<<"256";
    return 0;
}

if (c==0 && b>0) {
    cout<<256-b;
    return 0;
}

if (b==0 && c>0) {
    cout<<256 - c;
    return 0;
}

if (b+c < 256) {
    if (b>c) {
        cout<<256-b;
    } else {
        cout<<256-c;
    }
}

return 0;
}